Generations
Get generation
Get full details of a specific generation including all input/output data.
GET
/
generations
/
{id}
Get generation
curl --request GET \
--url https://app.mavera.io/api/v1/generations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/generations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/generations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/generations/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "generation",
"title": "<string>",
"app": {
"id": "<string>",
"name": "<string>",
"category": "<string>"
},
"brand_voice": {
"id": "<string>",
"label": "<string>"
},
"input_data": {},
"output": "<string>",
"content_type": "markdown",
"workspace_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}Authorizations
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Path Parameters
Generation ID
Response
Generation details
A generated content item
Unique generation identifier
Available options:
generation Generation title
Reference to a generation app
Show child attributes
Show child attributes
Reference to a brand voice
Show child attributes
Show child attributes
Input values provided for generation
Generated content
Content format
Available options:
markdown, html ⌘I
Get generation
curl --request GET \
--url https://app.mavera.io/api/v1/generations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/generations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/generations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/generations/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "generation",
"title": "<string>",
"app": {
"id": "<string>",
"name": "<string>",
"category": "<string>"
},
"brand_voice": {
"id": "<string>",
"label": "<string>"
},
"input_data": {},
"output": "<string>",
"content_type": "markdown",
"workspace_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}